# WOK
TKWOK
WOKernel

# WOKernel_DataMapOfHAsciiStringOfParcel Class Reference

`#include <WOKernel_DataMapOfHAsciiStringOfParcel.hxx>`

Inheritance diagram for WOKernel_DataMapOfHAsciiStringOfParcel:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKernel_DataMapOfHAsciiStringOfParcel (const Standard_Integer NbBuckets=1)
Standard_EXPORT WOKernel_DataMapOfHAsciiStringOfParcel & | Assign (const WOKernel_DataMapOfHAsciiStringOfParcel &Other)
WOKernel_DataMapOfHAsciiStringOfParcel & | operator= (const WOKernel_DataMapOfHAsciiStringOfParcel &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~WOKernel_DataMapOfHAsciiStringOfParcel ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(TCollection_HAsciiString)&K, const Handle(WOKernel_Parcel)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(TCollection_HAsciiString)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(TCollection_HAsciiString)&K)
Standard_EXPORT const Handle_WOKernel_Parcel & | Find (const Handle(TCollection_HAsciiString)&K) const
const Handle_WOKernel_Parcel & | operator() (const Handle(TCollection_HAsciiString)&K) const
Standard_EXPORT Handle_WOKernel_Parcel & | ChangeFind (const Handle(TCollection_HAsciiString)&K)
Handle_WOKernel_Parcel & | operator() (const Handle(TCollection_HAsciiString)&K)

## Private Member Functions

Standard_EXPORT | WOKernel_DataMapOfHAsciiStringOfParcel (const WOKernel_DataMapOfHAsciiStringOfParcel &Other)

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_DataMapOfHAsciiStringOfParcel::WOKernel_DataMapOfHAsciiStringOfParcel | ( | const Standard_Integer | NbBuckets = `1` | ) |

WOKernel_DataMapOfHAsciiStringOfParcel::~WOKernel_DataMapOfHAsciiStringOfParcel | ( |  | ) | `[inline]`

Standard_EXPORT WOKernel_DataMapOfHAsciiStringOfParcel::WOKernel_DataMapOfHAsciiStringOfParcel | ( | const WOKernel_DataMapOfHAsciiStringOfParcel & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT WOKernel_DataMapOfHAsciiStringOfParcel& WOKernel_DataMapOfHAsciiStringOfParcel::Assign | ( | const WOKernel_DataMapOfHAsciiStringOfParcel & | Other | ) |

Standard_EXPORT Standard_Boolean WOKernel_DataMapOfHAsciiStringOfParcel::Bind | ( | const Handle(TCollection_HAsciiString)& | K,
|  | const Handle(WOKernel_Parcel)& | I
| ) |

Standard_EXPORT Handle_WOKernel_Parcel& WOKernel_DataMapOfHAsciiStringOfParcel::ChangeFind | ( | const Handle(TCollection_HAsciiString)& | K | ) |

Standard_EXPORT void WOKernel_DataMapOfHAsciiStringOfParcel::Clear | ( |  | ) |

Standard_EXPORT const Handle_WOKernel_Parcel& WOKernel_DataMapOfHAsciiStringOfParcel::Find | ( | const Handle(TCollection_HAsciiString)& | K | ) | const

Standard_EXPORT Standard_Boolean WOKernel_DataMapOfHAsciiStringOfParcel::IsBound | ( | const Handle(TCollection_HAsciiString)& | K | ) | const

void WOKernel_DataMapOfHAsciiStringOfParcel::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKernel_DataMapOfHAsciiStringOfParcel::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKernel_DataMapOfHAsciiStringOfParcel::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

Handle_WOKernel_Parcel& WOKernel_DataMapOfHAsciiStringOfParcel::operator() | ( | const Handle(TCollection_HAsciiString)& | K | ) | `[inline]`

const Handle_WOKernel_Parcel& WOKernel_DataMapOfHAsciiStringOfParcel::operator() | ( | const Handle(TCollection_HAsciiString)& | K | ) | const`[inline]`

WOKernel_DataMapOfHAsciiStringOfParcel& WOKernel_DataMapOfHAsciiStringOfParcel::operator= | ( | const WOKernel_DataMapOfHAsciiStringOfParcel & | Other | ) | `[inline]`

Standard_EXPORT void WOKernel_DataMapOfHAsciiStringOfParcel::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean WOKernel_DataMapOfHAsciiStringOfParcel::UnBind | ( | const Handle(TCollection_HAsciiString)& | K | ) |

The documentation for this class was generated from the following file:

- WOKernel_DataMapOfHAsciiStringOfParcel.hxx